import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Scanner;

public class FileInputParser implements InputParser {
    private static final String userNamePrefix = "name:";
    private static final String userHistoryPrefix = "history:";

    @Override
    public HashMap<String, List<String>> parseUsersAndHistory(String inputFilePath) throws FileNotFoundException {
        HashMap<String, List<String>> users = new HashMap<>();
        Scanner scanner = new Scanner(new FileInputStream(inputFilePath));

        while (scanner.hasNext()) {
            String userName = scanner.nextLine();
            String userHistory = scanner.nextLine();
            assert (userName.startsWith(userNamePrefix) && userHistory.startsWith(userHistoryPrefix));

            userName = userName.substring(userNamePrefix.length()).trim();
            userHistory = userHistory.substring(userHistoryPrefix.length()).trim();

            List<String> videos = Arrays.asList(userHistory.split(", "));
            users.put(userName, videos);
        }

        return users;
    }
}
