import java.io.*;
import java.util.List;

public class FileOutputWriter implements OutputWriter {
    private static final String userNamePrefix = "name: ";
    private static final String userVideosPrefix = "videos: ";
    private static final String outputFileName = "output.txt";

    @Override
    public void writeUsersAndSuggestions(List<User> users, List<List<VideoSuggestion>> suggestions) {
        try(FileWriter fw = new FileWriter(outputFileName);
            BufferedWriter bw = new BufferedWriter(fw);
            PrintWriter out = new PrintWriter(bw))
        {
            assert (users.size() == suggestions.size());

            for (int i = 0; i < users.size(); ++i) {
                User user = users.get(i);
                List<VideoSuggestion> userSuggestions = suggestions.get(i);

                out.print(userNamePrefix);
                out.println(user.name);
                out.print(userVideosPrefix);

                if (userSuggestions.size() > 0) {
                    out.print(userSuggestions.get(0));
                }
                for (int j = 1; j < userSuggestions.size(); ++j) {
                    out.print(", ");
                    out.print(userSuggestions.get(j));
                }
                out.println();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
